Members
Get Member by External ID
Returns a Member by External ID
Authorization
HTTPBearer AuthorizationBearer <token>
In: header
Path Parameters
external_id*string
Header Parameters
Members-Context?|
Members organization id (org_…) when the client has multiple organizations.
Response Body
application/json
application/json
curl -X GET "https://api.members.dev/v1/members/external/string"{
"id": "member_01KKSMB47VYGW97GFE67VGDK7M",
"short_id": "XF42",
"name": "John Doe",
"external_id": "ext_abc123",
"emails": [
{
"id": "member_email_01KKSMB47VYGW97GFE67VGDK7M",
"email": "user@example.com",
"is_default": true,
"is_verified": true
}
],
"addresses": [
{
"id": "member_address_01KKSMB47VYGW97GFE67VGDK7M",
"recipient_name": "string",
"address_line_1": "string",
"address_line_2": "string",
"city": "string",
"administrative_area": "string",
"postal_code": "string",
"country_code": "string",
"is_default": true
}
],
"phones": [
{
"id": "member_phone_01KKSMB47VYGW97GFE67VGDK7M",
"number": "string",
"country_code": "string",
"is_default": true
}
],
"subscriptions": [
{
"id": "string",
"short_id": "string",
"billing_member_id": "string",
"member_ids": [
"string"
],
"status": "trialing",
"product": {
"product_id": "string",
"start": {
"start_type": "auto"
},
"recurring": {
"recurring_type": "never"
},
"expiry": {
"expiry_type": "never"
},
"trial": {
"interval": "week",
"interval_count": 7
},
"price": {
"price_type": "fixed",
"price_id": "string",
"amount": 0,
"currency": "string"
},
"joining_fee_amount": 0,
"max_members": 0,
"benefit_schedules": [
{
"recurring": {
"recurring_type": "never"
},
"expiry": {
"expiry_type": "never"
},
"benefit_grants": [
{
"benefit_id": "string",
"value_initial": 0,
"expiry": {
"expiry_type": "never"
}
}
]
}
]
},
"joining_fee_amount": 0,
"trial_starts_at": {},
"trial_ends_at": {},
"current_period_starts_at": {},
"current_period_ends_at": {},
"billing_starts_at": {},
"starts_at": null,
"expires_at": {},
"benefit_schedules": [
"string"
],
"state_transitions": {
"trialing_at": {},
"pending_at": {},
"active_at": {},
"past_due_at": {},
"canceled_at": {},
"expired_at": {},
"paused_at": {}
},
"next_update": {
"updates_at": null,
"update_type": "activates"
},
"invoices": [
{
"id": "string",
"short_id": "string",
"invoice_number": "INV-550",
"member_id": "string",
"status": "draft",
"due_at": null,
"amount_original": 0,
"amount_due": 0,
"currency": "string",
"lines": [
{
"id": "string",
"description": "string",
"quantity": 0,
"unit_amount": 0,
"amount": 0
}
],
"credit_note_allocations": [
{
"id": "string",
"credit_note_id": "string",
"credit_note_number": "CN-12",
"amount": 0,
"currency": "str",
"created_at": null
}
],
"payment_allocations": [
{
"id": "string",
"payment_id": "string",
"amount": 0,
"currency": "str",
"notes": "string",
"created_at": null
}
],
"subscription": {
"subscription_id": "string",
"period_starts_at": {},
"period_ends_at": {}
},
"state_transitions": {
"opened_at": {},
"past_due_at": {},
"paid_at": {},
"voided_at": {},
"deleted_at": {}
},
"next_update": {
"updates_at": null,
"update_type": "past_due"
},
"created_at": null,
"updated_at": null
}
],
"credit_notes": [
{
"id": "string",
"credit_note_number": "CN-12",
"member_id": "string",
"reason_code": "proration_correction",
"currency": "string",
"amount": 0,
"allocated_amount": 0,
"remaining_amount": 0,
"status": "open",
"lines": [
{
"id": "string",
"subscription_billing_period_id": "string",
"subscription_id": "string",
"description": "string",
"quantity": 0,
"unit_amount": 0,
"amount": 0,
"sort_order": 0,
"created_at": null,
"updated_at": null
}
],
"allocations": [
{
"id": "string",
"amount": 0,
"currency": "str",
"type": "invoice_application",
"invoice_id": "string",
"created_at": null,
"updated_at": null
}
],
"created_at": null,
"updated_at": null
}
],
"billing_periods": [
{
"id": "string",
"starts_at": null,
"ends_at": {},
"kind": "string",
"total_days": 0,
"active_days": 0,
"base_amount": 0,
"target_billable_amount": 0,
"net_target": 0,
"currency": "string",
"status": "upcoming",
"events": [
{
"id": "string",
"type": "period_materialized",
"occurred_at": null,
"amount": 0,
"currency": "string",
"interruption_id": "string",
"invoice_id": "string",
"payment_id": "string",
"credit_note_id": "string",
"starts_at": {},
"ends_at": {},
"active_days": 0,
"previous_active_days": 0,
"target_billable_amount": 0,
"previous_target_billable_amount": 0,
"payload": {},
"children": [
{}
]
}
]
}
],
"created_at": null,
"updated_at": null
}
],
"group_ids": [
"string"
],
"custom_fields": {},
"account_id": "string",
"status": "draft",
"created_at": null,
"updated_at": null
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}